Gets a part of array. [:running:] [:vhs:] [:package:] [:moon:] [:ledger:]
> Alternatives: [slice], [slice$].<br>
> This is part of package [extra-array].

[extra-array]: https://www.npmjs.com/package/extra-array

```javascript
array.slice(x, [i], [I]);
// x: an array
// i: start index (0)
// I: end index (end)
```

```javascript
const array = require('extra-array');

var x = [1, 2, 3, 4, 5];
array.slice(x, 2);
// [ 3, 4, 5 ]

array.slice(x, 2, 4);
// [ 3, 4 ]

array.slice(x, -3, -1);
// [ 3, 4 ]
```

### references

- [Array.prototype.slice: MDN web docs](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/slice)
- [_.slice: lodash](https://lodash.com/docs/4.17.15#slice)

[:running:]: https://npm.runkit.com/@extra-array/slice
[:package:]: https://www.npmjs.com/package/@extra-array/slice
[:moon:]: https://www.npmjs.com/package/@extra-array/slice.min
[:ledger:]: https://unpkg.com/@extra-array/slice/
[slice]: https://github.com/nodef/extra-array/wiki/slice
[slice$]: https://github.com/nodef/extra-array/wiki/slice$
[:vhs:]: https://asciinema.org/a/332131
